/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.svnconf.message;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoSvnConfMessage/メッセージ定義[BlancoSvnConf]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoSvnConfMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoSvnConfMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoSvnConfMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoSvnConfMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoSvnConfMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoSvnConfMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoSvnConfMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoSvnConfMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoSvnConfMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoSvnConfMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoSvnConfMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoSvnConfMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoSvnConfMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNC01]
     *
     * [リポジトリ定義ID[{0}]のホスト名が指定されていません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNC01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnc01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "リポジトリ定義ID[{0}]のホスト名が指定されていません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNC01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNC02]
     *
     * [リポジトリ定義ID[{0}]の基準ディレクトリが指定されていません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNC02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnc02(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "リポジトリ定義ID[{0}]の基準ディレクトリが指定されていません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNC02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNC03]
     *
     * [リポジトリ定義ID[{0}]において、利用者ID[{1}]が2回以上あらわれました。同じ利用者は2回以上指定することはできません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNC03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnc03(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "リポジトリ定義ID[{0}]において、利用者ID[{1}]が2回以上あらわれました。同じ利用者は2回以上指定することはできません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNC03");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNC04]
     *
     * [リポジトリ定義ID[{0}]において、利用者ID[{1}]の権限が指定されていません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNC04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnc04(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "リポジトリ定義ID[{0}]において、利用者ID[{1}]の権限が指定されていません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNC04");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNC05]
     *
     * [リポジトリ定義ID[{0}]において、利用者ID[{1}]の名称が不正です。利用者IDには *は含めないで下さい。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNC05]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnc05(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "リポジトリ定義ID[{0}]において、利用者ID[{1}]の名称が不正です。利用者IDには *は含めないで下さい。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNC05");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNC06]
     *
     * [リポジトリ定義ID[{0}]において、基準ディレクトリ[{1}]の名称が不正です。基準ディレクトリは / や \ で終わらないようにしてください。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNC06]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnc06(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "リポジトリ定義ID[{0}]において、基準ディレクトリ[{1}]の名称が不正です。基準ディレクトリは / や \\ で終わらないようにしてください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNC06");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNC07]
     *
     * [リポジトリ定義をまたがって、複数のホスト名が登録されています。具体的には、リポジトリ定義ID[{0}]の[{1}]と リポジトリ定義ID[{2}]の[{3}]において、ホスト名部分が異なっています。このような定義書を一度に処理することはできません。一度の処理においては、定義書間でホスト名が単一の状態になるようにして処理を実行するようにしてください。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @param arg2 置換文字列{2}を置換する値。java.lang.String型を与えてください。
     * @param arg3 置換文字列{3}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNC07]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnc07(final String arg0, final String arg1, final String arg2, final String arg3) {
        // 初期値として定義書の値を利用します。
        String strFormat = "リポジトリ定義をまたがって、複数のホスト名が登録されています。具体的には、リポジトリ定義ID[{0}]の[{1}]と リポジトリ定義ID[{2}]の[{3}]において、ホスト名部分が異なっています。このような定義書を一度に処理することはできません。一度の処理においては、定義書間でホスト名が単一の状態になるようにして処理を実行するようにしてください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNC07");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1, arg2, arg3}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNC08]
     *
     * [リポジトリ定義ID[{0}]において、管理者IDが指定されていません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNC08]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnc08(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "リポジトリ定義ID[{0}]において、管理者IDが指定されていません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNC08");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoSvnConfMessage], key[MBSVNCA1]
     *
     * [メタディレクトリ[{0}]が存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBSVNCA1]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbsvnca1(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "メタディレクトリ[{0}]が存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBSVNCA1");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }
}
